Bug 51070 - Box characters not displayed correctly under screen
Box characters not displayed correctly under screen
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: termcap (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Raszyk
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-06 20:52 EDT by Derek Tattersall
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version: FEDORA CORE 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 09:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-08-06 20:52:27 EDT
Description of Problem:
Box drawing character are not displayed properly, and backspace doesn't
work with ash as my shell.

How Reproducible:
Happens every time

Steps to Reproduce:
1. run the yesno sample dialog script under screen in a console
2. observe incorrect lower border and left border box characters
3. 

Actual Results:
Incorrect characters displayed, back space fails to backspace

Expected Results:
good box characters, back space erases character to left

Additional Information:
These experiments were run in a console window, not an xterm.
Comment 1 Phil Copeland 2002-01-08 13:05:22 EST
Hummmm
what you running it on? console or xterm or rvt or gnometerm?
I can see silliness on a console but that is really down to a duff termcap

see if you export TERM=vt100 it's fine (admittidly in black and white,..)

Now I'm unsure which file it's reading for the info /etc/termcap or
/usr/share/terminfo
One is from the termcap package and the otehr from ncurses. I'm going to make a
stab at termcap being the guilty party


Over to you Bero 8)
Comment 2 Petr Raszyk 2005-08-24 09:03:56 EDT
We assume, you mean with 'console' a replacement for a real 
system-console (Alt F1 or Ctrl Alt F1) == non graphic mode


We have tested your scenario on FEDORA CORE 4.
We have tried to launch (on 'console') (default settings):

/usr/share/doc/dialog*/samples/yesno

yesno  (yes-no-example-dialog) works, but some semigraphic 
        characters are not correctly displayed, keys are 
        correctly interpreted.

If we launch (on command prompt):


     setfont default8x16


Now, 'yesno' works fine, alle semigraphic characters are
correctly interpreted/displayed, keys are correctly interpreted.

NOTE: The 'box' (== semigraphic characters == ACS_HLINE, ACS_VLINE,...)
      are displayed only, if the current font 'supports' this 
      characters.


Note You need to log in before you can comment on or make changes to this bug.